Index: trunk/sources/HeuristicLab.CEDMA.DB.Interfaces/Ontology.cs
===================================================================
--- branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.DB.Interfaces/Ontology.cs	(revision 988)
+++ trunk/sources/HeuristicLab.CEDMA.DB.Interfaces/Ontology.cs	(revision 1287)
@@ -33,17 +33,5 @@
     }
 
-    #region model attributes
-    public static Entity PredicateModelAttribute {
-      get { return new Entity(CedmaNameSpace + "ModelAttribute"); }
-    }
-    public static Entity PredicateModelAttributeName {
-      get { return new Entity(CedmaNameSpace + "ModelAttributeName"); }
-    }
-    public static Entity PredicateModelAttributeValue {
-      get { return new Entity(CedmaNameSpace + "ModelAttributeValue"); }
-    }
-    public static Entity PredicateModelAttributeType {
-      get { return new Entity(CedmaNameSpace + "ModelAttributeType"); }
-    }
+    #region model attribute types
     /// <summary>
     /// Attribute value is ordinal, values can be sorted.
@@ -118,4 +106,124 @@
     #endregion
 
+    #region default attributes
+    public static Entity TargetVariable {
+      get { return new Entity(CedmaNameSpace + "TargetVariable"); }
+    }
+    public static Entity TrainingMeanSquaredError {
+      get { return new Entity(CedmaNameSpace + "TrainingMeanSquaredError"); }
+    }
+    public static Entity ValidationMeanSquaredError {
+      get { return new Entity(CedmaNameSpace + "ValidationMeanSquaredError"); }
+    }
+    public static Entity TestMeanSquaredError {
+      get { return new Entity(CedmaNameSpace + "TestMeanSquaredError"); }
+    }
+    public static Entity TrainingMeanAbsolutePercentageError {
+      get { return new Entity(CedmaNameSpace + "TrainingMeanAbsolutePercentageError"); }
+    }
+    public static Entity ValidationMeanAbsolutePercentageError {
+      get { return new Entity(CedmaNameSpace + "ValidationMeanAbsolutePercentageError"); }
+    }
+    public static Entity TestMeanAbsolutePercentageError {
+      get { return new Entity(CedmaNameSpace + "TestMeanAbsolutePercentageError"); }
+    }
+    public static Entity TrainingMeanAbsolutePercentageOfRangeError {
+      get { return new Entity(CedmaNameSpace + "TrainingMeanAbsolutePercentageOfRangeError"); }
+    }
+    public static Entity ValidationMeanAbsolutePercentageOfRangeError {
+      get { return new Entity(CedmaNameSpace + "ValidationMeanAbsolutePercentageOfRangeError"); }
+    }
+    public static Entity TestMeanAbsolutePercentageOfRangeError {
+      get { return new Entity(CedmaNameSpace + "TestMeanAbsolutePercentageOfRangeError"); }
+    }
+    public static Entity TrainingCoefficientOfDetermination {
+      get { return new Entity(CedmaNameSpace + "TrainingCoefficientOfDetermination"); }
+    }
+    public static Entity ValidationCoefficientOfDetermination {
+      get { return new Entity(CedmaNameSpace + "ValidationCoefficientOfDetermination"); }
+    }
+    public static Entity TestCoefficientOfDetermination {
+      get { return new Entity(CedmaNameSpace + "TestCoefficientOfDetermination"); }
+    }
+    public static Entity TrainingAccuracy {
+      get { return new Entity(CedmaNameSpace + "TrainingAccuracy"); }
+    }
+    public static Entity ValidationAccuracy {
+      get { return new Entity(CedmaNameSpace + "ValidationAccuracy"); }
+    }
+    public static Entity TestAccuracy {
+      get { return new Entity(CedmaNameSpace + "TestAccuracy"); }
+    }
+    public static Entity TrainingTheilsInequalityCoefficient {
+      get { return new Entity(CedmaNameSpace + "TrainingTheilsInequalityCoefficient"); }
+    }
+    public static Entity ValidationTheilsInequalityCoefficient {
+      get { return new Entity(CedmaNameSpace + "ValidationTheilsInequalityCoefficient"); }
+    }
+    public static Entity TestTheilsInequalityCoefficient {
+      get { return new Entity(CedmaNameSpace + "TestTheilsInequalityCoefficient"); }
+    }
+    public static Entity TreeSize {
+      get { return new Entity(CedmaNameSpace + "TreeSize"); }
+    }
+    public static Entity TreeHeight {
+      get { return new Entity(CedmaNameSpace + "TreeHeight"); }
+    }
+    public static Entity EvaluatedSolutions {
+      get { return new Entity(CedmaNameSpace + "EvaluatedSolutions"); }
+    }
+    #endregion
+
+    public static ICollection<Statement> InitialStatements {
+      get {
+        return new List<Statement> {
+          new Statement(TargetVariable, PredicateInstanceOf, TypeCategoricalAttribute),
+          new Statement(TrainingMeanSquaredError, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(TrainingMeanSquaredError, PredicateInstanceOf, TypeQualityAttribute),
+          new Statement(ValidationMeanSquaredError, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(ValidationMeanSquaredError, PredicateInstanceOf, TypeQualityAttribute),
+          new Statement(TestMeanSquaredError, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(TestMeanSquaredError, PredicateInstanceOf, TypeQualityAttribute),
+          new Statement(TrainingMeanAbsolutePercentageError, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(TrainingMeanAbsolutePercentageError, PredicateInstanceOf, TypeQualityAttribute),
+          new Statement(ValidationMeanAbsolutePercentageError, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(ValidationMeanAbsolutePercentageError, PredicateInstanceOf, TypeQualityAttribute),
+          new Statement(TestMeanAbsolutePercentageError, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(TestMeanAbsolutePercentageError, PredicateInstanceOf, TypeQualityAttribute),
+          new Statement(TrainingMeanAbsolutePercentageOfRangeError, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(TrainingMeanAbsolutePercentageOfRangeError, PredicateInstanceOf, TypeQualityAttribute),
+          new Statement(ValidationMeanAbsolutePercentageOfRangeError, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(ValidationMeanAbsolutePercentageOfRangeError, PredicateInstanceOf, TypeQualityAttribute),
+          new Statement(TestMeanAbsolutePercentageOfRangeError, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(TestMeanAbsolutePercentageOfRangeError, PredicateInstanceOf, TypeQualityAttribute),
+          new Statement(TrainingCoefficientOfDetermination, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(TrainingCoefficientOfDetermination, PredicateInstanceOf, TypeQualityAttribute),
+          new Statement(ValidationCoefficientOfDetermination, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(ValidationCoefficientOfDetermination, PredicateInstanceOf, TypeQualityAttribute),
+          new Statement(TestCoefficientOfDetermination, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(TestCoefficientOfDetermination, PredicateInstanceOf, TypeQualityAttribute),
+          new Statement(TrainingAccuracy, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(TrainingAccuracy, PredicateInstanceOf, TypeQualityAttribute),
+          new Statement(ValidationAccuracy, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(ValidationAccuracy, PredicateInstanceOf, TypeQualityAttribute),
+          new Statement(TestAccuracy, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(TestAccuracy, PredicateInstanceOf, TypeQualityAttribute),
+          new Statement(TrainingTheilsInequalityCoefficient, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(TrainingTheilsInequalityCoefficient, PredicateInstanceOf, TypeQualityAttribute),
+          new Statement(ValidationTheilsInequalityCoefficient, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(ValidationTheilsInequalityCoefficient, PredicateInstanceOf, TypeQualityAttribute),
+          new Statement(TestTheilsInequalityCoefficient, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(TestTheilsInequalityCoefficient, PredicateInstanceOf, TypeQualityAttribute),
+
+          new Statement(TreeSize, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(TreeSize, PredicateInstanceOf, TypeComplexityAttribute),
+          new Statement(TreeHeight, PredicateInstanceOf, TypeOrdinalAttribute),
+          new Statement(TreeHeight, PredicateInstanceOf, TypeComplexityAttribute),
+          new Statement(EvaluatedSolutions, PredicateInstanceOf, TypeOrdinalAttribute)
+        };
+      }
+    }
+
+
     /// <summary>
     /// Wildcard entity for filtering.
@@ -124,5 +232,4 @@
       get { return new Entity(null); }
     }
-
   }
 }
